org.eclipse.jgit.util

## Class QuotedString.BourneUserPathStyle

- java.lang.Object
- - org.eclipse.jgit.util.QuotedString
  - - org.eclipse.jgit.util.QuotedString.BourneStyle
    - - org.eclipse.jgit.util.QuotedString.BourneUserPathStyle

Enclosing class:
  QuotedString

    public static class QuotedString.BourneUserPathStyle
    extends QuotedString.BourneStyle

Bourne style, but permits `~user` at the start of the string.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.util.QuotedString

`QuotedString.BourneStyle, QuotedString.BourneUserPathStyle, QuotedString.GitPathStyle`

### Field Summary

### Fields inherited from class org.eclipse.jgit.util.QuotedString

`BOURNE, BOURNE_USER_PATH, GIT_PATH`

### Constructor Summary

Constructors
Constructor and Description
`BourneUserPathStyle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `quote(String in)` Quote an input string by the quoting rules.

### Methods inherited from class org.eclipse.jgit.util.QuotedString.BourneStyle

`dequote`

### Methods inherited from class org.eclipse.jgit.util.QuotedString

`dequote`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BourneUserPathStyle

    public BourneUserPathStyle()

### Method Detail

#### quote

    public String quote(String in)

Description copied from class: `QuotedString`
Quote an input string by the quoting rules.

If the input string does not require any quoting, the same String reference is returned to the caller.

Otherwise a quoted string is returned, including the opening and closing quotation marks at the start and end of the string. If the style does not permit raw Unicode characters then the string will first be encoded in UTF-8, with unprintable sequences possibly escaped by the rules.

Overrides:
  `quote` in class `QuotedString.BourneStyle`
Parameters:
  `in` - any non-null Unicode string.
Returns:
  a quoted string. See above for details.